Show / Hide Table of Contents

# Class Completion

##### Inheritance

System.Object
Completion

##### Implements

Lumina.Excel.IExcelRow

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data.TransientSheet

###### Assembly: Dalamud.dll

##### Syntax

    [Sheet("Completion", 778851747U)]
    public class Completion : IExcelRow

### Fields

| Improve this Doc View Source

#### Group

##### Declaration

    public ushort Group

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GroupTitle

##### Declaration

    public string GroupTitle

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Key

##### Declaration

    public ushort Key

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LookupTable

##### Declaration

    public string LookupTable

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Text

##### Declaration

    public string Text

##### Field Value

Type | Description
--- | ---
System.String |

### Properties

| Improve this Doc View Source

#### RowId

##### Declaration

    public uint RowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SubRowId

##### Declaration

    public uint SubRowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### PopulateData(RowParser, Lumina, Language)

##### Declaration

    public void PopulateData(RowParser parser, Lumina lumina, Language language)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Excel.RowParser | parser |
Lumina.Lumina | lumina |
Lumina.Data.Language | language |

### Implements

Lumina.Excel.IExcelRow